## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 19;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Enabled by default
%bcond_without tests

Name:           python-pytest-lazy-fixture
Version:        0.6.3
Release:        %autorelease
Summary:        Use fixtures in pytest.mark.parametrize

License:        MIT
URL:            https://github.com/tvorog/pytest-lazy-fixture
Source0:        %{pypi_source pytest-lazy-fixture}

# Minimal patch for compatibility with pytest 8.
# Downstream only patch, upstream seems dead.
# https://github.com/TvoroG/pytest-lazy-fixture/issues/65#issuecomment-1915829980
Patch:          Minimal-patch-for-compatibility-with-pytest-8.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Use fixtures in pytest.mark.parametrize.}

%description %_description

%package -n python3-pytest-lazy-fixture
Summary:        %{summary}

%description -n python3-pytest-lazy-fixture %_description

%prep
%autosetup -n pytest-lazy-fixture-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l pytest_lazyfixture

%check
%if %{with tests}
%pytest
%endif

%files -n python3-pytest-lazy-fixture -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Wed Jul 31 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.6.3-19
- Add minimal patch for compatibility with pytest 8

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.6.3-17
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.3-14
- Assert that a license file is present in the .dist-info directory

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.6.3-12
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.6.3-9
- Rebuilt for Python 3.11

* Tue May 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.3-8
- Port to pyproject-rpm-macros

* Tue May 10 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.6.3-6
- Remove obsolete macros

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.6.3-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Aug 20 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 0.6.3-1
- Updated to 0.6.3
- Fixes failing tests

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-10
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.5.2-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.2-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.2-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 12 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.2-2
- Re-enable tests

* Fri Jul 12 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.2-1
- Own pycache directory to fix permission issues #1723047

* Sat Jun 22 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.2-1
- Initial package

## END: Generated by rpmautospec
